gnutls_pkcs12_bag_get_friendly_name(3)

NAME
gnutls_pkcs12_bag_get_friendly_name - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_get_friendly_name(gnutls_pkcs12_bag_t bag, unsigned indx, char ** name);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

unsigned indx
    The bag's element to add the id

char ** name
    will hold a pointer to the name (to be treated as const)

DESCRIPTION
This function will return the friendly name, of the specified bag element. The key ID is usually used to distinguish the local private key and the certificate pair.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. or a negative error code on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/